{% extends 'dashboard/_private.layout.html.twig' %}

{% block title %}{{ title }}{% endblock %}

{% set canSeeRecurrences = is_granted('ROLE_DIRECTOR') %}

{% block content %}
  <div class="dashboard__container">
    <ul class="fr-tabs__list" role="tablist" aria-label="Interventions ponctuelles ou récurrentes">
      <li role="presentation">
        <a href="{{ path('app_dashboard_interventions', {employer: app.current_route_parameters.employer}) }}"
           class="fr-tabs__tab fr-icon-checkbox-line fr-tabs__tab--icon-left"
           tabindex="0" role="tab" aria-selected="{{ recurrence ? "false" : "true" }}"
           aria-controls="tabpanel-404-panel">
          Liste des interventions
        </a>
      </li>
      {% if canSeeRecurrences %}
        <li role="presentation">
          <a href="{{ path('app_dashboard_recurrences', {employer: app.current_route_parameters.employer}) }}"
             class="fr-tabs__tab fr-icon-checkbox-line fr-tabs__tab--icon-left"
             tabindex="-1" role="tab" aria-selected="{{ recurrence ? "true" : "false" }}"
             aria-controls="tabpanel-405-panel">
            Récurrences
          </a>
        </li>
      {% endif %}
      <div id="intervention-add-button"></div>
    </ul>
    <div {{ stimulus_controller('intervention_page', {
      agents: agents|serialize('json', { groups: ['user:view'] }),
      agentsActifs: agentsActifs|serialize('json', { groups: ['user:view'] }),
      authors: authors|serialize('json', { groups: ['user:view'] }),
      categories: categories|serialize('json'),
      recurrence: recurrence,
      statuses: statuses
    }) }}></div>
  </div>
{% endblock %}
